Subject: [bug#71565] [PATCH] gnu: ibus-minimal: Graft to 1.5.29.

From: Maxim Cournoyer <[email-masked]>
Date: Sun, 23 Jun 2024 22:13:21 -0400

Hi Liliana,

Liliana Marie Prikler <[email-masked]> writes:

> Am Montag, dem 17.06.2024 um 15:55 -0400 schrieb Maxim Cournoyer:
>> Hi Liliana,
>> 
>> Liliana Marie Prikler <[email-masked]> writes:
>> 
>> > This fixes an issue, where IBus was not able to query emoji lists.
>> > See also <https://github.com/ibus/ibus/issues/2476>.
>> > 
>> > * gnu/packages/ibus.scm (ibus-minimal/fixed): New variable.
>> > (ibus-minimal): Add ibus-minimal/fixed as replacement.
>> > ---
>> >  gnu/packages/ibus.scm | 18 ++++++++++++++++++
>> >  1 file changed, 18 insertions(+)
>> > 
>> > diff --git a/gnu/packages/ibus.scm b/gnu/packages/ibus.scm
>> > index c821279bd3..a2775b2f84 100644
>> > --- a/gnu/packages/ibus.scm
>> > +++ b/gnu/packages/ibus.scm
>> > @@ -81,6 +81,7 @@ (define-module (gnu packages ibus)
>> >  (define-public ibus-minimal
>> >    (package
>> >      (name "ibus")
>> > +    (replacement ibus-minimal/fixed)
>> >      (version "1.5.27")
>> >      (source (origin
>> >                (method url-fetch)
>> > @@ -279,6 +280,23 @@ (define-public ibus
>> >             (package-native-search-paths ibus-minimal)))
>> >      (properties (alist-delete 'hidden? (package-properties ibus-
>> > minimal)))))
>> >  
>> > +(define-public ibus-minimal/fixed
>> 
>> Is it useful to have the package 'public' at al here?  I think there
>> are considerations so that the package gets built by the CI, but I'm
>> not sure whether this applies to graft package (I guess it does). 
>> Perhaps we should document these gotchas, as I can never remember
>> myself.
> I might have been cargo-culting the -public part from other
> definitions.  Are grafts typically not exported?

Not thinking about CI shenanigans, I think it's more logical that they
be private, since we want the users to use the grafted package, not the
graft itself (although in the end the result should be the same).

-- 
Thanks,
Maxim